curl --request GET \
--url https://managexrapi.com/v1/firmware-versions \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://managexrapi.com/v1/firmware-versions"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://managexrapi.com/v1/firmware-versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://managexrapi.com/v1/firmware-versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://managexrapi.com/v1/firmware-versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://managexrapi.com/v1/firmware-versions")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://managexrapi.com/v1/firmware-versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"data": [
{
"model": "Pico 4 Ultra Enterprise",
"version": "5.13.4"
}
]
}{
"statusCode": 400,
"message": [
"model must be one of: Pico Neo 2, Pico Neo 3, Pico G2 4K, Pico G3, Pico 4, Pico 4 Ultra Enterprise"
],
"error": "Bad Request"
}{
"statusCode": 403,
"message": "Forbidden",
"error": "ManageXR Error"
}List Firmware Versions
Returns the Pico firmware versions that the organization can select as a firmware target.
The list is different for each organization. Some firmware builds are hidden by default and show only for specific organizations. Other builds are hidden for specific organizations.
Use the version value of an entry when you select a firmware target for that model.
Results are grouped by model. Within each model, the newest version is first.
curl --request GET \
--url https://managexrapi.com/v1/firmware-versions \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://managexrapi.com/v1/firmware-versions"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://managexrapi.com/v1/firmware-versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://managexrapi.com/v1/firmware-versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://managexrapi.com/v1/firmware-versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://managexrapi.com/v1/firmware-versions")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://managexrapi.com/v1/firmware-versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"data": [
{
"model": "Pico 4 Ultra Enterprise",
"version": "5.13.4"
}
]
}{
"statusCode": 400,
"message": [
"model must be one of: Pico Neo 2, Pico Neo 3, Pico G2 4K, Pico G3, Pico 4, Pico 4 Ultra Enterprise"
],
"error": "Bad Request"
}{
"statusCode": 403,
"message": "Forbidden",
"error": "ManageXR Error"
}Authorizations
API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET
- Username: The API Key ID.
- Password: The API Key Secret.
Query Parameters
Unique identifier of the organization. This parameter is only necessary when using multi-organization API keys.
Defaults to the organizationId associated with the API key.
Return only the firmware versions for this device model. If you do not set it, the response includes versions for all six models.
Model names contain spaces. URL-encode the value, for example ?model=Pico%204%20Ultra%20Enterprise.
Pico Neo 2, Pico Neo 3, Pico G2 4K, Pico G3, Pico 4, Pico 4 Ultra Enterprise Response
A list of firmware versions
Show child attributes
Show child attributes